Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IConnectionFactoryDescriptor

All Superinterfaces:
  IDescriptor, INamespaceObject, IPropertiedDescriptor, Serializable

public interface IConnectionFactoryDescriptor
extends IPropertiedDescriptor, INamespaceObject, Serializable

Represents the metadata for a connection factory within a J2EE Connector Architecture (J2EE Connector Architecture) engine.

Method Summary
`String` | `getAdapterLogicalName()` Get the logical name of the adapter that will be associated with connection pools based off this descriptor.
`int` | `getMaxPoolSize()` Get the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`int` | `getMinPoolSize()` Get the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`String` | `getRelativeJNDIName()` Get the JNDI name at which connection factories based off this descriptor are to be bound.
`float` | `getTargetFractionOfMaxPoolSize()` Deprecated. Not supported by WLS JCA engine
`boolean` | `isPoolAllowedToShrink()` Indicates whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size.
`void` | `setAdapterLogicalName(String logicalName)` Set the logical name of the adapter that will be associated with connection pools based off this descriptor.
`void` | `setAllowPoolToShrink(boolean allowedToShrink)` Set whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size.
`void` | `setMaxPoolSize(int maxPoolSize)` Set the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`void` | `setMinPoolSize(int minPoolSize)` Set the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`void` | `setRelativeJNDIName(String jndiName)` Set the JNDI name (relative to the host application's root JNDI context) at which connection factories based off this descriptor are to be bound.
`void` | `setTargetFractionOfMaxPoolSize(float targetFraction)` Deprecated. Not supported by WLS JCA engine

Methods inherited from interface com.bea.wlai.common.IPropertiedDescriptor
`addProperty, getProperty, listPropertyNames, removeProperty`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`equals, getDescription, getLastUpdateTime, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace, syncLastUpdateTime, touch`

Method Detail

### setRelativeJNDIName

    public void setRelativeJNDIName(String jndiName)

  Set the JNDI name (relative to the host application's root JNDI context) at which connection factories based off this descriptor are to be bound. To get the absolute JNDI name, you must obtain the root JNDI context name for the host application. This information can be obtained via a call to ApplicationViewUtils.getApplicationRootJNDIName(String appName).

  Parameters:
    `jndiName` - The JNDI name (relative to the host application's root JNDI context) to which connection factories based off the descriptor will be bound.

### getRelativeJNDIName

    public String getRelativeJNDIName()

  Get the JNDI name at which connection factories based off this descriptor are to be bound. To get the absolute JNDI name, you must obtain the root JNDI context name for the host application. This information can be obtained via a call to ApplicationViewUtils.getApplicationRootJNDIName(String appName).

  Returns:
    The JNDI name (relative to the host applications' root JNDI context) to which connection factories based off the descriptor will be bound.

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)

  Set the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Parameters:
    `minPoolSize` - The minimum number of connections in the connection pool. Must be greater than or equal to 0.

### getMinPoolSize

    public int getMinPoolSize()

  Get the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Returns:
    The minimum number of connections in the connection pool. This will always be greater than or equal to 0.

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

  Set the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Parameters:
    `maxPoolSize` - The maximum number of connections in the connection pool. Must be greater than 0.

### getMaxPoolSize

    public int getMaxPoolSize()

  Get the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Returns:
    The maximum number of connections in the connection pool. This will always be greater than 0.

### setTargetFractionOfMaxPoolSize

    public void setTargetFractionOfMaxPoolSize(float targetFraction)

  Deprecated. Not supported by WLS JCA engine

  Set the fraction of the maximum pool size that represents the number of connections to maintain in a connection pool based off this descriptor. This fraction must be greater than or equal to 0, and less than or equal to 1.0. The J2EE Connector Architecture engine will (if allowed to) try to close connections if the number of connections in the pool exceeds the value of * . This parameter only takes effect when there are free connections in the connection pool and when the isAllowedToShrink method returns true.

  Parameters:
    `targetFraction` - A number between zero and one that represents the desired fraction of the max pool size to maintain on an ongoing basis.
  See Also:
    `setMinPoolSize(int)`

### getTargetFractionOfMaxPoolSize

    public float getTargetFractionOfMaxPoolSize()

  Deprecated. Not supported by WLS JCA engine

  Get the fraction of the maximum pool size that represents the number of connections to maintain in a connection pool based off this descriptor. This fraction is greater than or equal to 0, and less than or equal to 1.0. The J2EE Connector Architecture engine will (if allowed to) try to close connections if the number of connections in the pool exceeds the value of * . This parameter only takes effect when there are free connections in the connection pool and when the isAllowedToShrink method returns true.

  Returns:
    A number between zero and one that represents the desired fraction of the max pool size to maintain on an ongoing basis.
  See Also:
    `getMinPoolSize()`

### isPoolAllowedToShrink

    public boolean isPoolAllowedToShrink()

  Indicates whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size. If this is false, no connections will be closed by the J2EE Connector Architecture engine.

  Returns:
    True if the pool is allowed to shrink, false otherwise.

### setAllowPoolToShrink

    public void setAllowPoolToShrink(boolean allowedToShrink)

  Set whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size. If this is false, no connections will be closed by the J2EE Connector Architecture engine.

### getAdapterLogicalName

    public String getAdapterLogicalName()

  Get the logical name of the adapter that will be associated with connection pools based off this descriptor. The associated adapter will be used to create new connections to be placed in the pool.

  Returns:
    The logical name for the adapter to be associated with this descriptor.

### setAdapterLogicalName

    public void setAdapterLogicalName(String logicalName)

  Set the logical name of the adapter that will be associated with connection pools based off this descriptor. The associated adapter will be used to create new connections to be placed in the pool.

  Parameters:
    `logicalName` - The logical name for the adapter to be associated with this descriptor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD